Xampp

Linux Mint + XAMPP + How To Install Xdebug Extension For PHP

Assumptions You are using a linux distro, in my instance I’m using Linux Mint, but this is applicable to any deb-based linux for example Ubuntu or Debian Your LAMP Stack is XAMPP You are familiar with using phpize and can install it You know how to configure your web server Overview Installing the xdebug extension […]

Linux + How To Install And Configure Suhosin As A Xampp Extension

Assumptions: => You are running a Linux-based system – this guide is mostly targeted at debian based systems like ubuntu, linux mint or debian itself..etc => You have installed Xampp at the following path: /opt/lampp/ (if you have it somewhere else, use your path) => You are familiar with the bash terminal or a linux […]

Linux Mint + How To Install APC And Configure APC On Xampp – APC caching extension

To install APC (APC caching extension) for Xampp on your Linux Mint or Ubuntu distro, just follow the steps below: # cd apc (to your apc folder you just extracted) # sudo /opt/lampp/bin/phpize # ./configure –enable-apc –with-apxs –with-php-config=/opt/lampp/bin/php-config # make # sudo make install Next Step is to edit you php.ini and add the apc […]

Linux Mint + Xampp + phpize + Cannot find autoconf. Please check your autoconf installation and the $PHP_AUTOCONF environment variable

This yet another phpize error might happen when you run phpize to install an extension to Xampp. If your bash terminal complains about the error: “Cannot find autoconf. Please check your autoconf installation and the $PHP_AUTOCONF environment variable“, then it possibly means that you do not have autoconf installed on your machine. How To Know […]

Linux Mint + Xampp Error + ‘grep: /opt/lampp/include/php/main/php.h: No Such File Or Directory’

When you executed phpize to install an extension on xampp, you got a xampp error. The error was similar to grep: /opt/lampp/include/php/main/php.h: No Such File Or Directory. Solution is to install xampp-devel package.

PHP PDO + Warning: PDO::__construct() [pdo.–construct]: [2002] Invalid argument (trying to connect via unix://)

If you are trying to establish a connection handle by using PDO, you might have encountered this error: Warning: PDO::__construct() : Invalid argument (trying to connect via unix://)

Linux Mint 10 Julia + XAMPP: Another Web Server Daemon Is Already Running

If your terminal reports this error message: “XAMPP: Another web server daemon is already Running”, it is most probably that you have installed another apache while installing some other tools via ‘apt-get’…